GNU bug report logs - #47138
[feature/native-comp] comp-tests suite creates a /nonexistent directory

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Eli Zaretskii <eliz@HIDDEN>; dated Sun, 14 Mar 2021 16:00:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 47138 <at> debbugs.gnu.org:


Received: (at 47138) by debbugs.gnu.org; 21 Mar 2021 17:30:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 21 13:30:39 2021
Received: from localhost ([127.0.0.1]:55400 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lO1uQ-0000hh-VE
	for submit <at> debbugs.gnu.org; Sun, 21 Mar 2021 13:30:39 -0400
Received: from mx.sdf.org ([205.166.94.24]:64373)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lO1uP-0000hX-Ei
 for 47138 <at> debbugs.gnu.org; Sun, 21 Mar 2021 13:30:37 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 12LHUaJ8020392
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Sun, 21 Mar 2021 17:30:36 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#47138: 28.0.50; comp-tests suite creates a /nonexistent
 directory
References: <83tupdg20d.fsf@HIDDEN> <xjfr1kfvwao.fsf@HIDDEN>
 <83blbjdjz4.fsf@HIDDEN> <xjf8s6gvqvb.fsf@HIDDEN>
 <83o8fcbxur.fsf@HIDDEN> <xjfk0q0tqsj.fsf@HIDDEN>
 <yc4kh4qvdg.fsf@HIDDEN>
Date: Sun, 21 Mar 2021 17:30:36 +0000
In-Reply-To: <yc4kh4qvdg.fsf@HIDDEN> (Glenn Morris's message of
 "Sun, 21 Mar 2021 13:17:31 -0400")
Message-ID: <xjf5z1ktnwj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47138
Cc: 47138 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Glenn Morris <rgm@HIDDEN> writes:

> Andrea Corallo wrote:
>
>> Okay af739863b0 when running the testsuite is adding in front of
>> `comp-eln-load-path' a temporary directory such that now all native
>> compilations tests are deposed and loaded there.  Does is look like a
>> good solution?
>
> Hard-coding a check in startup.el based on a setting for HOME that
> happens to be used by the test-suite doesn't look like a good solution
> to me. I'm not familiar with the native compilation branch, so I won't
> try to suggest an alternative. Also, the Emacs tests generally try to
> clean up when they exit, and it looks like nothing ever deletes this
> temporary directory?

Hi Glenn,

if we have a better idea on how to detect we are running the testsuite
we can use that in place.  Maybe defining a dedicated env variable
during the build?

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47138; Package emacs. Full text available.

Message received at 47138 <at> debbugs.gnu.org:


Received: (at 47138) by debbugs.gnu.org; 21 Mar 2021 17:17:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 21 13:17:44 2021
Received: from localhost ([127.0.0.1]:55376 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lO1hw-0000Mi-17
	for submit <at> debbugs.gnu.org; Sun, 21 Mar 2021 13:17:44 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34630)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1lO1ht-0000MS-6h
 for 47138 <at> debbugs.gnu.org; Sun, 21 Mar 2021 13:17:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42169)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1lO1hn-0004zV-0P; Sun, 21 Mar 2021 13:17:35 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1lO1hj-0005Gm-Ut; Sun, 21 Mar 2021 13:17:32 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#47138: 28.0.50;
 comp-tests suite creates a /nonexistent directory
References: <83tupdg20d.fsf@HIDDEN> <xjfr1kfvwao.fsf@HIDDEN>
 <83blbjdjz4.fsf@HIDDEN> <xjf8s6gvqvb.fsf@HIDDEN>
 <83o8fcbxur.fsf@HIDDEN> <xjfk0q0tqsj.fsf@HIDDEN>
X-Spook: Jet ANDVT basement NWO Trump Computer infrastructure VIP
X-Ran: ~@w#}[YTGdt2,0Z9ky0}SXaTO|j"OMnVpLq<O@FcjD67G<qeGXAa7%sW,$o~3-Yujq]vTI
X-Hue: yellow
X-Attribution: GM
Date: Sun, 21 Mar 2021 13:17:31 -0400
In-Reply-To: <xjfk0q0tqsj.fsf@HIDDEN> (Andrea Corallo's message of "Sun, 21
 Mar 2021 16:28:12 +0000")
Message-ID: <yc4kh4qvdg.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47138
Cc: Eli Zaretskii <eliz@HIDDEN>, 47138 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Andrea Corallo wrote:

> Okay af739863b0 when running the testsuite is adding in front of
> `comp-eln-load-path' a temporary directory such that now all native
> compilations tests are deposed and loaded there.  Does is look like a
> good solution?

Hard-coding a check in startup.el based on a setting for HOME that
happens to be used by the test-suite doesn't look like a good solution
to me. I'm not familiar with the native compilation branch, so I won't
try to suggest an alternative. Also, the Emacs tests generally try to
clean up when they exit, and it looks like nothing ever deletes this
temporary directory?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47138; Package emacs. Full text available.

Message received at 47138 <at> debbugs.gnu.org:


Received: (at 47138) by debbugs.gnu.org; 21 Mar 2021 16:57:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 21 12:57:35 2021
Received: from localhost ([127.0.0.1]:55352 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lO1OR-0008JO-5d
	for submit <at> debbugs.gnu.org; Sun, 21 Mar 2021 12:57:35 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lO1OO-0008JB-Pg
 for 47138 <at> debbugs.gnu.org; Sun, 21 Mar 2021 12:57:33 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41992)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lO1OH-0004gS-5H; Sun, 21 Mar 2021 12:57:25 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4180
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lO1OA-00062T-Fy; Sun, 21 Mar 2021 12:57:19 -0400
Date: Sun, 21 Mar 2021 18:57:21 +0200
Message-Id: <838s6gbg26.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjfk0q0tqsj.fsf@HIDDEN> (message from Andrea Corallo on Sun, 21
 Mar 2021 16:28:12 +0000)
Subject: Re: bug#47138: 28.0.50; comp-tests suite creates a /nonexistent
 directory
References: <83tupdg20d.fsf@HIDDEN> <xjfr1kfvwao.fsf@HIDDEN>
 <83blbjdjz4.fsf@HIDDEN> <xjf8s6gvqvb.fsf@HIDDEN>
 <83o8fcbxur.fsf@HIDDEN> <xjfk0q0tqsj.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47138
Cc: 47138 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: 47138 <at> debbugs.gnu.org
> Date: Sun, 21 Mar 2021 16:28:12 +0000
> 
> I see, the target directory for a newly compiled .eln is the first entry
> in `comp-eln-load-path', so HOME is not accounted and the trick didn't
> applied.

Right, makes sense.

> Okay af739863b0 when running the testsuite is adding in front of
> `comp-eln-load-path' a temporary directory such that now all native
> compilations tests are deposed and loaded there.  Does is look like a
> good solution?

Yes, I think so.  But please add a note in test/Makefile.in, where
this /nonexistent trick is set up, that if the name is changed,
startup.el should be changed as well.

However, I've run the test suite after updating from Git, and that
/nonexistent directory is still being created, with files
comp-test-funcs, comp-test-funcs-dyn, comp-test-45603, and a few
subr--trampoline* files.  The rest of the *.eln files created by the
test are going to the temporary directory, but there's no
emacs-testsuite-NNN subdirectory there.  Any ideas what could be
causing that?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47138; Package emacs. Full text available.

Message received at 47138 <at> debbugs.gnu.org:


Received: (at 47138) by debbugs.gnu.org; 21 Mar 2021 16:28:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 21 12:28:15 2021
Received: from localhost ([127.0.0.1]:55330 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lO0w3-0007cW-LA
	for submit <at> debbugs.gnu.org; Sun, 21 Mar 2021 12:28:15 -0400
Received: from mx.sdf.org ([205.166.94.24]:52652)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lO0w1-0007cO-Mj
 for 47138 <at> debbugs.gnu.org; Sun, 21 Mar 2021 12:28:14 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 12LGSCTi025914
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Sun, 21 Mar 2021 16:28:12 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#47138: 28.0.50; comp-tests suite creates a /nonexistent
 directory
References: <83tupdg20d.fsf@HIDDEN> <xjfr1kfvwao.fsf@HIDDEN>
 <83blbjdjz4.fsf@HIDDEN> <xjf8s6gvqvb.fsf@HIDDEN>
 <83o8fcbxur.fsf@HIDDEN>
Date: Sun, 21 Mar 2021 16:28:12 +0000
In-Reply-To: <83o8fcbxur.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 21 Mar
 2021 12:33:00 +0200")
Message-ID: <xjfk0q0tqsj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47138
Cc: 47138 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Andrea Corallo <akrl@HIDDEN>
>> Cc: 47138 <at> debbugs.gnu.org
>> Date: Sun, 21 Mar 2021 08:43:36 +0000
>>
>> >   $ cd test
>> >   $ make src/comp-tests SELECTOR='(not comp-tests-bootstrap)'
>>
>> Is /nonexistent... really created in the root?
>
> Yes.  (Well, no, because MinGW maps "/" to some place else, but that's
> an internal detail of how MinGW and MSYS work with Posix file names.)
>
>> AFAICS on my system the usual 'native-lisp' directory is used for
>> these compilations.
>
> Really? that's peculiar, because test/Makefile says:
>
>   # Set HOME to a nonexistent directory to prevent tests from accessing
>   # it accidentally (e.g., popping up a gnupg dialog if ~/.authinfo.gpg
>   # exists, or writing to ~/.bzr.log when running bzr commands).
>   TEST_HOME = /nonexistent
>   ...
>   %.log: %.elc
> 	$(AM_V_at)${MKDIR_P} $(dir $@)
> 	$(AM_V_GEN)HOME=$(TEST_HOME) $(emacs) \
> 	  -l ert ${ert_opts} -l $(testloadfile) \
> 	  $(TEST_RUN_ERT)
>
> Does Emacs on GNU/Linux ignore a nonexistent home directory, and uses
> the original one instead?  That'd mean the above trick isn't working.
>
>> Might be this Windows specific?
>
> I hope not.

I see, the target directory for a newly compiled .eln is the first entry
in `comp-eln-load-path', so HOME is not accounted and the trick didn't
applied.

Okay af739863b0 when running the testsuite is adding in front of
`comp-eln-load-path' a temporary directory such that now all native
compilations tests are deposed and loaded there.  Does is look like a
good solution?

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47138; Package emacs. Full text available.

Message received at 47138 <at> debbugs.gnu.org:


Received: (at 47138) by debbugs.gnu.org; 21 Mar 2021 10:33:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 21 06:33:08 2021
Received: from localhost ([127.0.0.1]:53601 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lNvOO-0002v1-A3
	for submit <at> debbugs.gnu.org; Sun, 21 Mar 2021 06:33:08 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59310)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lNvOM-0002ua-Js
 for 47138 <at> debbugs.gnu.org; Sun, 21 Mar 2021 06:33:07 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37845)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lNvOH-0008HO-9Q; Sun, 21 Mar 2021 06:33:01 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4444
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lNvOG-0003Fh-JH; Sun, 21 Mar 2021 06:33:00 -0400
Date: Sun, 21 Mar 2021 12:33:00 +0200
Message-Id: <83o8fcbxur.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjf8s6gvqvb.fsf@HIDDEN> (message from Andrea Corallo on Sun, 21
 Mar 2021 08:43:36 +0000)
Subject: Re: bug#47138: 28.0.50; comp-tests suite creates a /nonexistent
 directory
References: <83tupdg20d.fsf@HIDDEN> <xjfr1kfvwao.fsf@HIDDEN>
 <83blbjdjz4.fsf@HIDDEN> <xjf8s6gvqvb.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47138
Cc: 47138 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: 47138 <at> debbugs.gnu.org
> Date: Sun, 21 Mar 2021 08:43:36 +0000
> 
> >   $ cd test
> >   $ make src/comp-tests SELECTOR='(not comp-tests-bootstrap)'
> 
> Is /nonexistent... really created in the root?

Yes.  (Well, no, because MinGW maps "/" to some place else, but that's
an internal detail of how MinGW and MSYS work with Posix file names.)

> AFAICS on my system the usual 'native-lisp' directory is used for
> these compilations.

Really? that's peculiar, because test/Makefile says:

  # Set HOME to a nonexistent directory to prevent tests from accessing
  # it accidentally (e.g., popping up a gnupg dialog if ~/.authinfo.gpg
  # exists, or writing to ~/.bzr.log when running bzr commands).
  TEST_HOME = /nonexistent
  ...
  %.log: %.elc
	$(AM_V_at)${MKDIR_P} $(dir $@)
	$(AM_V_GEN)HOME=$(TEST_HOME) $(emacs) \
	  -l ert ${ert_opts} -l $(testloadfile) \
	  $(TEST_RUN_ERT)

Does Emacs on GNU/Linux ignore a nonexistent home directory, and uses
the original one instead?  That'd mean the above trick isn't working.

> Might be this Windows specific?

I hope not.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47138; Package emacs. Full text available.

Message received at 47138 <at> debbugs.gnu.org:


Received: (at 47138) by debbugs.gnu.org; 21 Mar 2021 08:43:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 21 04:43:40 2021
Received: from localhost ([127.0.0.1]:53522 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lNtgS-0008Vy-95
	for submit <at> debbugs.gnu.org; Sun, 21 Mar 2021 04:43:40 -0400
Received: from mx.sdf.org ([205.166.94.24]:53489)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lNtgQ-0008Vq-Gl
 for 47138 <at> debbugs.gnu.org; Sun, 21 Mar 2021 04:43:39 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 12L8hasC004189
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Sun, 21 Mar 2021 08:43:36 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#47138: 28.0.50; comp-tests suite creates a /nonexistent
 directory
References: <83tupdg20d.fsf@HIDDEN> <xjfr1kfvwao.fsf@HIDDEN>
 <83blbjdjz4.fsf@HIDDEN>
Date: Sun, 21 Mar 2021 08:43:36 +0000
In-Reply-To: <83blbjdjz4.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 16 Mar
 2021 20:36:15 +0200")
Message-ID: <xjf8s6gvqvb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47138
Cc: 47138 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Andrea Corallo <akrl@HIDDEN>
>> Cc: 47138 <at> debbugs.gnu.org
>> Date: Tue, 16 Mar 2021 17:32:47 +0000
>> 
>> > Running test/src/comp-tests.el causes creation of the directory
>> > /nonexistent/.emacs.d/eln-cache/ and puts there *.eln files it
>> > generates.  I think the test (or test/Makefile) should be modified to
>> > direct the eln cache to some temporary directory that should be
>> > deleted after the test completes.  Otherwise the files in this eln
>> > cache could affect future test runs.
>> 
>> Hi Eli,
>> 
>> just a question: how are you invoking the tests in comp-tests.el?
>
> Like this:
>
>   $ cd test
>   $ make src/comp-tests SELECTOR='(not comp-tests-bootstrap)'

Is /nonexistent... really created in the root?  AFAICS on my system the
usual 'native-lisp' directory is used for these compilations.  Might be
this Windows specific?

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47138; Package emacs. Full text available.

Message received at 47138 <at> debbugs.gnu.org:


Received: (at 47138) by debbugs.gnu.org; 16 Mar 2021 18:36:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 16 14:36:21 2021
Received: from localhost ([127.0.0.1]:41066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lMEYG-0008Vj-SB
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2021 14:36:21 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44688)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lMEYF-0008VR-10
 for 47138 <at> debbugs.gnu.org; Tue, 16 Mar 2021 14:36:19 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43895)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lMEY9-0007Pb-QH; Tue, 16 Mar 2021 14:36:13 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3891
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lMEXv-00021y-Ez; Tue, 16 Mar 2021 14:36:06 -0400
Date: Tue, 16 Mar 2021 20:36:15 +0200
Message-Id: <83blbjdjz4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjfr1kfvwao.fsf@HIDDEN> (message from Andrea Corallo on Tue, 16
 Mar 2021 17:32:47 +0000)
Subject: Re: bug#47138: 28.0.50; comp-tests suite creates a /nonexistent
 directory
References: <83tupdg20d.fsf@HIDDEN> <xjfr1kfvwao.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47138
Cc: 47138 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: 47138 <at> debbugs.gnu.org
> Date: Tue, 16 Mar 2021 17:32:47 +0000
> 
> > Running test/src/comp-tests.el causes creation of the directory
> > /nonexistent/.emacs.d/eln-cache/ and puts there *.eln files it
> > generates.  I think the test (or test/Makefile) should be modified to
> > direct the eln cache to some temporary directory that should be
> > deleted after the test completes.  Otherwise the files in this eln
> > cache could affect future test runs.
> 
> Hi Eli,
> 
> just a question: how are you invoking the tests in comp-tests.el?

Like this:

  $ cd test
  $ make src/comp-tests SELECTOR='(not comp-tests-bootstrap)'




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47138; Package emacs. Full text available.

Message received at 47138 <at> debbugs.gnu.org:


Received: (at 47138) by debbugs.gnu.org; 16 Mar 2021 17:32:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 16 13:32:52 2021
Received: from localhost ([127.0.0.1]:40934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lMDYp-0004ke-Vo
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2021 13:32:52 -0400
Received: from mx.sdf.org ([205.166.94.24]:53762)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lMDYm-0004kV-Q8
 for 47138 <at> debbugs.gnu.org; Tue, 16 Mar 2021 13:32:51 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 12GHWlts021978
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Tue, 16 Mar 2021 17:32:47 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#47138: 28.0.50; comp-tests suite creates a /nonexistent
 directory
References: <83tupdg20d.fsf@HIDDEN>
Date: Tue, 16 Mar 2021 17:32:47 +0000
In-Reply-To: <83tupdg20d.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 14 Mar
 2021 17:59:14 +0200")
Message-ID: <xjfr1kfvwao.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47138
Cc: 47138 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Running test/src/comp-tests.el causes creation of the directory
> /nonexistent/.emacs.d/eln-cache/ and puts there *.eln files it
> generates.  I think the test (or test/Makefile) should be modified to
> direct the eln cache to some temporary directory that should be
> deleted after the test completes.  Otherwise the files in this eln
> cache could affect future test runs.

Hi Eli,

just a question: how are you invoking the tests in comp-tests.el?

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47138; Package emacs. Full text available.
Changed bug title to '[feature/native-comp] comp-tests suite creates a /nonexistent directory' from '28.0.50; comp-tests suite creates a /nonexistent directory' Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Mar 2021 15:59:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 14 11:59:07 2021
Received: from localhost ([127.0.0.1]:34087 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lLT91-0000Ex-Eg
	for submit <at> debbugs.gnu.org; Sun, 14 Mar 2021 11:59:07 -0400
Received: from lists.gnu.org ([209.51.188.17]:36596)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lLT90-0000Er-DW
 for submit <at> debbugs.gnu.org; Sun, 14 Mar 2021 11:59:06 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59524)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>) id 1lLT90-0001d4-4d
 for bug-gnu-emacs@HIDDEN; Sun, 14 Mar 2021 11:59:06 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53986)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>) id 1lLT8z-00017k-TK
 for bug-gnu-emacs@HIDDEN; Sun, 14 Mar 2021 11:59:05 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3243
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>) id 1lLT8y-0006Z1-SN
 for bug-gnu-emacs@HIDDEN; Sun, 14 Mar 2021 11:59:05 -0400
Date: Sun, 14 Mar 2021 17:59:14 +0200
Message-Id: <83tupdg20d.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; comp-tests suite creates a /nonexistent directory
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Running test/src/comp-tests.el causes creation of the directory
/nonexistent/.emacs.d/eln-cache/ and puts there *.eln files it
generates.  I think the test (or test/Makefile) should be modified to
direct the eln cache to some temporary directory that should be
deleted after the test completes.  Otherwise the files in this eln
cache could affect future test runs.


In GNU Emacs 28.0.50 (build 35, i686-pc-mingw32)
 of 2021-03-14 built on HOME-C4E4A596F7
Repository revision: d018584814e0c15f13bc458ba54491239b584069
Repository branch: feature/native-comp
Windowing system distributor 'Microsoft Corp.', version 5.1.2600
System Description: Microsoft Windows XP Service Pack 3 (v5.1.0.2600)

Configured using:
 'configure -C --prefix=/d/usr --with-wide-int --with-native-compilation
 --enable-checking=yes,glyphs 'CFLAGS=-O0 -gdwarf-4 -g3''

Configured features:
ACL GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 LIBXML2 MODULES NATIVE_COMP
NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND THREADS TIFF TOOLKIT_SCROLL_BARS
XPM ZLIB

Important settings:
  value of $LANG: ENU
  locale-coding-system: cp1255

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg epg-config gnus-util rmail
rmail-loaddefs auth-source eieio eieio-core eieio-loaddefs
password-cache json map text-property-search time-date mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils comp
comp-cstr warnings subr-x rx cl-seq cl-macs cl-extra help-mode seq
byte-opt gv cl-loaddefs cl-lib bytecomp byte-compile cconv iso-transl
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win w32-vars
term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads w32notify
w32 lcms2 multi-tty make-network-process nativecomp emacs)

Memory information:
((conses 16 82974 11957)
 (symbols 48 8984 1)
 (strings 16 25100 4132)
 (string-bytes 1 761605)
 (vectors 16 16828)
 (vector-slots 8 293283 15392)
 (floats 8 28 79)
 (intervals 40 266 73)
 (buffers 888 11))




Acknowledgement sent to Eli Zaretskii <eliz@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#47138; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 21 Mar 2021 17:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.